Delete
curl --request DELETE \
--url http://{host}:{port}/{contextPath}/batch/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/batch/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/batch/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}批处理
删除
Deletes a batch by id, including all related jobs and job definitions. Optionally also deletes the batch history.
DELETE
/
batch
/
{id}
Delete
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the batch to be deleted.
Query Parameters
true, if the historic batch and historic job logs for this batch should also be deleted.
Response
Request successful.
⌘I